/* grimg0.f -- translated by f2c (version 20090411).
   You must link the resulting object file with libf2c:
	on Microsoft Windows system, link with libf2c.lib;
	on Linux or Unix systems, link with .../path/to/libf2c.a -lm
	or, if you install libf2c.a in a standard place, with -lf2c -lm
	-- in that order, at the end of the command line, as in
		cc *.o -lf2c -lm
	Source for libf2c is in /netlib/f2c/libf2c.zip, e.g.,

		http://www.netlib.org/f2c/libf2c.zip
*/

#include "pgplot.h"

/* *GRIMG0 -- color image of a 2D data array */
/* + */
/* Subroutine */ void grimg0_(real *a, integer *idim, integer *jdim, integer *
	i1, integer *i2, integer *j1, integer *j2, real *a1, real *a2, real *
	pa, integer *minind, integer *maxind, integer *mode)
{
    /* System generated locals */
    integer a_dim1, a_offset;

    /* Local variables */
    static char c__[1];

/* This is a support routine for PGIMAG. */

/* Arguments: */
/*  A      (input)  : the array to be plotted. */
/*  IDIM   (input)  : the first dimension of array A. */
/*  JDIM   (input)  : the second dimension of array A. */
/*  I1, I2 (input)  : the inclusive range of the first index */
/*                    (I) to be plotted. */
/*  J1, J2 (input)  : the inclusive range of the second */
/*                    index (J) to be plotted. */
/*  A1     (input)  : the array value which is to appear in color */
/*                    index MININD. */
/*  A2     (input)  : the array value which is to appear in color */
/*                    index MAXIND. */
/*  PA     (input)  : transformation matrix between array grid and */
/*                    device coordinates. */
/*  MININD (input)  : minimum color index to use. */
/*  MAXIND (input)  : maximum color index to use. */
/*  MODE   (input)  : =0 for linear, =1 for logarithmic, =2 for */
/*                    square-root mapping of array values to color */
/*                    indices. */
/* -- */
/*  7-Sep-1994 - new routine [TJP]. */
/* ----------------------------------------------------------------------- */
/* ----------------------------------------------------------------------- */
/*            Include file for GRPCKG */
/* Modifications: */
/*   29-Jan-1985 - add HP2648 (KS/TJP). */
/*   16-Sep-1985 - remove tabs (TJP). */
/*   30-Dec-1985 - add PS, VPS (TJP). */
/*   27-May-1987 - remove ARGS, NULL, PS, VPS, QMS, VQMS, HIDMP, */
/*                 HP7221, GRINL (TJP). */
/*    6-Jun-1987 - remove PRTX, TRILOG, VERS, VV (TJP). */
/*   11-Jun-1987 - remove remaining built-in devices (TJP). */
/*    5-Jul-1987 - replace GRINIT, GRPLTD by GRSTAT. */
/*   16-Aug-1987 - remove obsolete variables. */
/*    9-Sep-1989 - add SAVE statement. */
/*   26-Nov-1990 - remove GRCTYP. */
/*    5-Jan-1993 - add GRADJU. */
/*    1-Sep-1994 - add GRGCAP. */
/*   21-Dec-1995 - increase GRIMAX to 8. */
/*   30-Apr-1997 - remove GRC{XY}SP */
/* ----------------------------------------------------------------------- */

/* Parameters: */
/*   GRIMAX : maximum number of concurrent devices */
/*   GRFNMX : maximum length of file names */
/*   GRCXSZ : default width of chars (pixels) */
/*   GRCYSZ : default height of chars (pixels) */


/* Common blocks: */
/*   GRCIDE : identifier of current plot */
/*   GRGTYP : device type of current plot */
/* The following are qualified by a plot id: */
/*   GRSTAT : 0 => workstation closed */
/*            1 => workstation open */
/*            2 => picture open */
/*   GRPLTD : */
/*   GRDASH : software dashing in effect? */
/*   GRUNIT : unit associated with id */
/*   GRFNLN : length of filename */
/*   GRTYPE : device type */
/*   GRXMXA : x size of plotting surface */
/*   GRYMXA : y size of plotting surface */
/*   GRXMIN : blc of plotting window */
/*   GRYMIN : ditto */
/*   GRXMAX : trc of plotting window */
/*   GRYMAX : ditto */
/*   GRSTYL : line style (integer code) */
/*   GRWIDT : line width (integer code) */
/*   GRCCOL : current color index (integer code) */
/*   GRMNCI : minimum color index on this device */
/*   GRMXCI : maximum color index on this device */
/*   GRCMRK : marker number */
/*   GRXPRE : previous (current) pen position (x) */
/*   GRYPRE : ditto (y) */
/*   GRXORG : transformation variables (GRTRAN) */
/*   GRYORG : ditto */
/*   GRXSCL : ditto */
/*   GRYSCL : ditto */
/*   GRCSCL : character scaling factor */
/*   GRCFAC : */
/*   GRCFNT : character font */
/*   GRFILE : file name (character) */
/*   GRGCAP : device capabilities (character) */
/*   GRPXPI : pixels per inch in x */
/*   GRPYPI : pixels per inch in y */
/*   GRADJU : TRUE if GRSETS (PGPAP) has been called */


/* ----------------------------------------------------------------------- */
/* ----------------------------------------------------------------------- */

/* Switch on type of device support. */

    /* Parameter adjustments */
    a_dim1 = *idim;
    a_offset = 1 + a_dim1;
    a -= a_offset;
    --pa;

    /* Function Body */
    *(unsigned char *)c__ = *(unsigned char *)&grcm01_.grgcap[(
	    grcm00_.grcide - 1) * 11 + 6];
    if (*(unsigned char *)c__ == 'Q') {
/*         -- Image-primitive devices */
	grimg1_(&a[a_offset], idim, jdim, i1, i2, j1, j2, a1, a2, &pa[1], 
		minind, maxind, mode);
    } else if (*(unsigned char *)c__ == 'P') {
/*         -- Pixel-primitive devices */
	grimg2_(&a[a_offset], idim, jdim, i1, i2, j1, j2, a1, a2, &pa[1], 
		minind, maxind, mode);
    } else if (*(unsigned char *)c__ == 'N') {
/*         -- Other devices */
	grwarn_("images cannot be displayed on the selected device", (ftnlen)
		49);
    } else {
/*         -- Unknown device code */
	grwarn_("unexpected error in routine GRIMG0", (ftnlen)34);
    }
/* ----------------------------------------------------------------------- */
} /* grimg0_ */

