/* grimg2.f -- translated by f2c (version 20090411).
   You must link the resulting object file with libf2c:
	on Microsoft Windows system, link with libf2c.lib;
	on Linux or Unix systems, link with .../path/to/libf2c.a -lm
	or, if you install libf2c.a in a standard place, with -lf2c -lm
	-- in that order, at the end of the command line, as in
		cc *.o -lf2c -lm
	Source for libf2c is in /netlib/f2c/libf2c.zip, e.g.,

		http://www.netlib.org/f2c/libf2c.zip
*/

#include <math.h>
#include "pgplot.h"

/* Table of constant values */

static integer c__26 = 26;

/* *GRIMG2 -- image of a 2D data array (pixel-primitive devices) */
/* + */
/* Subroutine */ void grimg2_(real *a, integer *idim, integer *jdim, integer *
	i1, integer *i2, integer *j1, integer *j2, real *a1, real *a2, real *
	pa, integer *minind, integer *maxind, integer *mode)
{
    /* System generated locals */
    integer a_dim1, a_offset, i__1, i__2;
    real r__1, r__2;

    /* Local variables */
    static integer i__, j;
    static real av;
    static integer iv, ix, iy, ix1, ix2, iy1, iy2;
    static real den;
    static char chr[1];
    static integer lchr;
    static real xxaa, xyaa, xxbb, yyaa, yybb, xybb, yxaa, yxbb;
    static integer npix;
    static real sfacl;
    static real buffer[1026];
    static real xyaaiy, yxaaiy;


/* (This routine is called by GRIMG0.) */
/* -- */
/* 7-Sep-1994  New routine [TJP]. */
/* ----------------------------------------------------------------------- */
/* ----------------------------------------------------------------------- */
/*            Include file for GRPCKG */
/* Modifications: */
/*   29-Jan-1985 - add HP2648 (KS/TJP). */
/*   16-Sep-1985 - remove tabs (TJP). */
/*   30-Dec-1985 - add PS, VPS (TJP). */
/*   27-May-1987 - remove ARGS, NULL, PS, VPS, QMS, VQMS, HIDMP, */
/*                 HP7221, GRINL (TJP). */
/*    6-Jun-1987 - remove PRTX, TRILOG, VERS, VV (TJP). */
/*   11-Jun-1987 - remove remaining built-in devices (TJP). */
/*    5-Jul-1987 - replace GRINIT, GRPLTD by GRSTAT. */
/*   16-Aug-1987 - remove obsolete variables. */
/*    9-Sep-1989 - add SAVE statement. */
/*   26-Nov-1990 - remove GRCTYP. */
/*    5-Jan-1993 - add GRADJU. */
/*    1-Sep-1994 - add GRGCAP. */
/*   21-Dec-1995 - increase GRIMAX to 8. */
/*   30-Apr-1997 - remove GRC{XY}SP */
/* ----------------------------------------------------------------------- */

/* Parameters: */
/*   GRIMAX : maximum number of concurrent devices */
/*   GRFNMX : maximum length of file names */
/*   GRCXSZ : default width of chars (pixels) */
/*   GRCYSZ : default height of chars (pixels) */


/* Common blocks: */
/*   GRCIDE : identifier of current plot */
/*   GRGTYP : device type of current plot */
/* The following are qualified by a plot id: */
/*   GRSTAT : 0 => workstation closed */
/*            1 => workstation open */
/*            2 => picture open */
/*   GRPLTD : */
/*   GRDASH : software dashing in effect? */
/*   GRUNIT : unit associated with id */
/*   GRFNLN : length of filename */
/*   GRTYPE : device type */
/*   GRXMXA : x size of plotting surface */
/*   GRYMXA : y size of plotting surface */
/*   GRXMIN : blc of plotting window */
/*   GRYMIN : ditto */
/*   GRXMAX : trc of plotting window */
/*   GRYMAX : ditto */
/*   GRSTYL : line style (integer code) */
/*   GRWIDT : line width (integer code) */
/*   GRCCOL : current color index (integer code) */
/*   GRMNCI : minimum color index on this device */
/*   GRMXCI : maximum color index on this device */
/*   GRCMRK : marker number */
/*   GRXPRE : previous (current) pen position (x) */
/*   GRYPRE : ditto (y) */
/*   GRXORG : transformation variables (GRTRAN) */
/*   GRYORG : ditto */
/*   GRXSCL : ditto */
/*   GRYSCL : ditto */
/*   GRCSCL : character scaling factor */
/*   GRCFAC : */
/*   GRCFNT : character font */
/*   GRFILE : file name (character) */
/*   GRGCAP : device capabilities (character) */
/*   GRPXPI : pixels per inch in x */
/*   GRPYPI : pixels per inch in y */
/*   GRADJU : TRUE if GRSETS (PGPAP) has been called */


/* ----------------------------------------------------------------------- */
/* ----------------------------------------------------------------------- */

/* Location of current window in device coordinates. */

    /* Parameter adjustments */
    a_dim1 = *idim;
    a_offset = 1 + a_dim1;
    a -= a_offset;
    --pa;

    /* Function Body */
    ix1 = (int)(grcm00_.grxmin[grcm00_.grcide - 1] + 0.5) + 1;
    ix2 = (int)(grcm00_.grxmax[grcm00_.grcide - 1] + 0.5) - 1;
    iy1 = (int)(grcm00_.grymin[grcm00_.grcide - 1] + 0.5) + 1;
    iy2 = (int)(grcm00_.grymax[grcm00_.grcide - 1] + 0.5) - 1;

/* Transformation from array coordinates to device coordinates. */

    den = pa[2] * pa[6] - pa[3] * pa[5];
    xxaa = -pa[6] * pa[1] / den;
    xxbb = pa[6] / den;
    xyaa = -pa[3] * pa[4] / den;
    xybb = pa[3] / den;
    yyaa = -pa[2] * pa[4] / den;
    yybb = pa[2] / den;
    yxaa = -pa[5] * pa[1] / den;
    yxbb = pa[5] / den;

/* Start a new page if necessary. */

    if (! grcm00_.grpltd[grcm00_.grcide - 1]) {
	grbpic_();
    }

/* Run through every device pixel (IX, IY) in the current window and */
/* determine which array pixel (I,J) it falls in. */

    sfacl = log(65001.f);
    i__1 = iy2;
    for (iy = iy1; iy <= i__1; ++iy) {
	xyaaiy = xxaa - xyaa - xybb * iy;
	yxaaiy = yyaa + yybb * iy - yxaa;
	npix = 0;
	buffer[1] = (real) iy;
	i__2 = ix2;
	for (ix = ix1; ix <= i__2; ++ix) {
	    r__1 = xyaaiy + xxbb * ix;
	    i__ = (int)(r__1 + 0.5);
	    if (i__ < *i1 || i__ > *i2) {
		goto L110;
	    }
	    r__1 = yxaaiy - yxbb * ix;
	    j = (int)(r__1 + 0.5);
	    if (j < *j1 || j > *j2) {
		goto L110;
	    }

/*           -- determine color index IV of this pixel */

	    av = a[i__ + j * a_dim1];
	    if (*a2 > *a1) {
/* Computing MIN */
				if (av < *a1) av = *a1;
				if (av > *a2) av = *a2;
	    } else {
/* Computing MIN */
				if (av < *a2) av = *a2;
				if (av > *a1) av = *a1;
	    }
	    if (*mode == 0) {
		r__1 = (*minind * (*a2 - av) + *maxind * (av - *a1)) / (*a2 - 
			*a1);
		iv = (int)(r__1 + 0.5);
	    } else if (*mode == 1) {
		r__2 = (*maxind - *minind) * log((r__1 = (av - *a1) / (*a2 - *
			a1), fabs(r__1)) * 6.5e4f + 1.f) / sfacl;
		iv = *minind + (int)(r__2 + 0.5);
	    } else if (*mode == 2) {
		r__2 = (*maxind - *minind) * sqrt((r__1 = (av - *a1) / (*a2 - 
			*a1), fabs(r__1)));
		iv = *minind + (int)(r__2 + 0.5);
	    } else {
		iv = *minind;
	    }

	    if (npix <= 1024) {
/*               -- drop pixels if buffer too small (to be fixed!) */
		++npix;
		if (npix == 1) {
		    buffer[0] = (real) ix;
		}
		buffer[npix + 1] = (real) iv;
	    }
L110:
	    ;
	}
	if (npix > 0) {
	    i__2 = npix + 2;
	    grexec_(&grcm00_.grgtyp, &c__26, buffer, &i__2, chr, &lchr, (
		    ftnlen)1);
	}
/* L120: */
    }
/* ----------------------------------------------------------------------- */
} /* grimg2_ */

