/* grimg3.f -- translated by f2c (version 20090411).
   You must link the resulting object file with libf2c:
	on Microsoft Windows system, link with libf2c.lib;
	on Linux or Unix systems, link with .../path/to/libf2c.a -lm
	or, if you install libf2c.a in a standard place, with -lf2c -lm
	-- in that order, at the end of the command line, as in
		cc *.o -lf2c -lm
	Source for libf2c is in /netlib/f2c/libf2c.zip, e.g.,

		http://www.netlib.org/f2c/libf2c.zip
*/

#include <math.h>
#include "pgplot.h"

/* *GRIMG3 -- gray-scale map of a 2D data array, using dither */
/* + */
/* Subroutine */ void grimg3_(real *a, integer *idim, integer *jdim, integer *
	i1, integer *i2, integer *j1, integer *j2, real *black, real *white, 
	real *pa, integer *mode)
{
    /* System generated locals */
    integer a_dim1, a_offset, i__1, i__2, i__3, i__4;
    real r__1, r__2;

    /* Local variables */
    static integer i__, j;
    static real bw;
    static integer ix, iy, ix1, ix2, iy1, iy2;
    static real den, facl, rand;
    static integer jran;
    static real xxaa, xyaa, xxbb, yyaa, yybb, xybb, yxaa, yxbb, value;
    static integer ilast, jlast;
    static real xyaaiy, yxaaiy;
    static integer ixstep, iystep;

/* -- */
/* 2-Sep-1994 - moved from GRGRAY [TJP]. */
/* ----------------------------------------------------------------------- */
/* ----------------------------------------------------------------------- */
/*            Include file for GRPCKG */
/* Modifications: */
/*   29-Jan-1985 - add HP2648 (KS/TJP). */
/*   16-Sep-1985 - remove tabs (TJP). */
/*   30-Dec-1985 - add PS, VPS (TJP). */
/*   27-May-1987 - remove ARGS, NULL, PS, VPS, QMS, VQMS, HIDMP, */
/*                 HP7221, GRINL (TJP). */
/*    6-Jun-1987 - remove PRTX, TRILOG, VERS, VV (TJP). */
/*   11-Jun-1987 - remove remaining built-in devices (TJP). */
/*    5-Jul-1987 - replace GRINIT, GRPLTD by GRSTAT. */
/*   16-Aug-1987 - remove obsolete variables. */
/*    9-Sep-1989 - add SAVE statement. */
/*   26-Nov-1990 - remove GRCTYP. */
/*    5-Jan-1993 - add GRADJU. */
/*    1-Sep-1994 - add GRGCAP. */
/*   21-Dec-1995 - increase GRIMAX to 8. */
/*   30-Apr-1997 - remove GRC{XY}SP */
/* ----------------------------------------------------------------------- */

/* Parameters: */
/*   GRIMAX : maximum number of concurrent devices */
/*   GRFNMX : maximum length of file names */
/*   GRCXSZ : default width of chars (pixels) */
/*   GRCYSZ : default height of chars (pixels) */


/* Common blocks: */
/*   GRCIDE : identifier of current plot */
/*   GRGTYP : device type of current plot */
/* The following are qualified by a plot id: */
/*   GRSTAT : 0 => workstation closed */
/*            1 => workstation open */
/*            2 => picture open */
/*   GRPLTD : */
/*   GRDASH : software dashing in effect? */
/*   GRUNIT : unit associated with id */
/*   GRFNLN : length of filename */
/*   GRTYPE : device type */
/*   GRXMXA : x size of plotting surface */
/*   GRYMXA : y size of plotting surface */
/*   GRXMIN : blc of plotting window */
/*   GRYMIN : ditto */
/*   GRXMAX : trc of plotting window */
/*   GRYMAX : ditto */
/*   GRSTYL : line style (integer code) */
/*   GRWIDT : line width (integer code) */
/*   GRCCOL : current color index (integer code) */
/*   GRMNCI : minimum color index on this device */
/*   GRMXCI : maximum color index on this device */
/*   GRCMRK : marker number */
/*   GRXPRE : previous (current) pen position (x) */
/*   GRYPRE : ditto (y) */
/*   GRXORG : transformation variables (GRTRAN) */
/*   GRYORG : ditto */
/*   GRXSCL : ditto */
/*   GRYSCL : ditto */
/*   GRCSCL : character scaling factor */
/*   GRCFAC : */
/*   GRCFNT : character font */
/*   GRFILE : file name (character) */
/*   GRGCAP : device capabilities (character) */
/*   GRPXPI : pixels per inch in x */
/*   GRPYPI : pixels per inch in y */
/*   GRADJU : TRUE if GRSETS (PGPAP) has been called */


/* ----------------------------------------------------------------------- */
/* ----------------------------------------------------------------------- */

    /* Parameter adjustments */
    a_dim1 = *idim;
    a_offset = 1 + a_dim1;
    a -= a_offset;
    --pa;

    /* Function Body */
    if (*mode < 0 || *mode > 2) {
	return;
    }

/* Initialize random-number generator (based on RAN2 of Press et al., */
/* Numerical Recipes) */

    jran = 76773;

    ix1 = (int)(grcm00_.grxmin[grcm00_.grcide - 1] + 0.5) + 1;
    ix2 = (int)(grcm00_.grxmax[grcm00_.grcide - 1] + 0.5) - 1;
    iy1 = (int)(grcm00_.grymin[grcm00_.grcide - 1] + 0.5) + 1;
    iy2 = (int)(grcm00_.grymax[grcm00_.grcide - 1] + 0.5) - 1;
    den = pa[2] * pa[6] - pa[3] * pa[5];

/* Calculate constants. */

    bw = (r__1 = *black - *white, fabs(r__1));
    facl = log(65001.f);
    xxaa = -pa[6] * pa[1] / den;
    xxbb = pa[6] / den;
    xyaa = -pa[3] * pa[4] / den;
    xybb = pa[3] / den;
    yyaa = -pa[2] * pa[4] / den;
    yybb = pa[2] / den;
    yxaa = -pa[5] * pa[1] / den;
    yxbb = pa[5] / den;

/* Choose step size: at least 1/200 inch, assuming the line-width */
/* unit is 1/200 inch. */

/* Computing MAX */
    r__1 = grcm00_.grwidt[grcm00_.grcide - 1] * grcm00_.grpxpi[
	    grcm00_.grcide - 1] / 200.f;
    i__1 = 1, i__2 = (int)(r__1 + 0.5);
		ixstep = i__1;
		if (i__2 > ixstep) ixstep = i__2;
/* Computing MAX */
    r__1 = grcm00_.grwidt[grcm00_.grcide - 1] * grcm00_.grpypi[
	    grcm00_.grcide - 1] / 200.f;
    i__1 = 1, i__2 = (int)(r__1 + 0.5);
		iystep = i__1;
		if (i__2 > iystep) iystep = i__2;

/* Draw dots. */

    ilast = 0;
    jlast = 0;
    i__1 = iy2;
    i__2 = iystep;
    for (iy = iy1; i__2 < 0 ? iy >= i__1 : iy <= i__1; iy += i__2) {
	xyaaiy = xxaa - xyaa - xybb * iy;
	yxaaiy = yyaa + yybb * iy - yxaa;
	i__3 = ix2;
	i__4 = ixstep;
	for (ix = ix1; i__4 < 0 ? ix >= i__3 : ix <= i__3; ix += i__4) {
	    r__1 = xyaaiy + xxbb * ix;
	    i__ = (int)(r__1 + 0.5);
	    if (i__ < *i1 || i__ > *i2) {
		goto L110;
	    }
	    r__1 = yxaaiy - yxbb * ix;
	    j = (int)(r__1 + 0.5);
	    if (j < *j1 || j > *j2) {
		goto L110;
	    }
	    if (i__ != ilast || j != jlast) {
		ilast = i__;
		jlast = j;
		value = (r__1 = a[i__ + j * a_dim1] - *white, fabs(r__1)) / 
			bw;
		if (*mode == 0) {
/*                     -- "linear" */
		} else if (*mode == 1) {
/*                     -- "logarithmic" */
		    value = log(value * 6.5e4f + 1.f) / facl;
		} else if (*mode == 2) {
/*                     -- "square root" */
		    value = sqrt(value);
		}
	    }
	    jran = (jran * 1366 + 150889) % 714025;
	    rand = jran * 1.4005111865831029e-6f;
	    if (value > rand) {
		r__1 = (real) ix;
		r__2 = (real) iy;
		grdot0_(&r__1, &r__2);
	    }
L110:
	    ;
	}
/* L120: */
    }
/* ----------------------------------------------------------------------- */
} /* grimg3_ */

