#ifndef PGPLOT_H
#define PGPLOT_H

#define GRMSG grmsg_
#define GRTRIM grtrim_
#define GRWARN grwarn_
#define PGWINDOW pgwindow_
#define PGSWIN pgswin_
#define PGNOTO pgnoto_
#define PGVW pgvw_
#define GRAREA grarea_
#define GRSLCT grslct_
#define GRCHSZ grchsz_
#define GRCLIP grclip_
#define GRCLOS grclos_
#define GRSCI grsci_
#define GRTERM grterm_
#define GREPIC grepic_
#define GRCLPL grclpl_
#define GRETXT gretxt_

#define GREXEC grexec_
#define PGINIT pginit_
#define GRTRN0 grtrn0_

typedef int integer;
typedef int ftnlen;
typedef int logical;
typedef float real;

void GRMSG(char *text, int maxlen);
void GRWARN(char *text, int maxlen);
int GRTRIM(char *S, int maxlen);
void PGWINDOW(float *X1, float *X2, float *Y1, float *Y2);
void PGSWIN(float *X1, float *X2, float *Y1, float *Y2);
int PGNOTO(char *RTN, int maxlen);
void PGVW();
void GRTRN0 (float *XORG, float *YORG, float *XSCALE, float *YSCALE);
void GRAREA (int *IDENT, float *X0, float *Y0, float *XSIZE, float *YSIZE);
void GRSLCT(int *IDENT);
void GREXEC(int *IDEV, int *IFUNC, float *RBUF, int *NBUF, char *CHR, int *LCHR, int maxlen);
void PGINIT();
void GRCHSZ(int *IDENT, float *XSIZE, float *YSIZE, float *XSPACE, float *YSPACE);
void GRCLIP(float *X, float *Y, float *XMIN, float *XMAX, float *YMIN, float *YMAX, int *C);
void GRCLOS();
void GRSCI(int *IC);
void GRTERM();
void GREPIC();
void GRCLPL(float *X0, float *Y0, float *X1, float *Y1, int *VIS);
void GRETXT();
void grbpic_();
integer grctoi_(char *s, integer *i__, ftnlen s_len);
integer grcurs_(integer *ident, integer *ix, integer *iy, integer *ixref, 
	integer *iyref, integer *mode, integer *posn, char *ch, ftnlen ch_len);
void grdot0_(real *x, real *y);
void grdot1_(integer *points, real *x, real *y);
void grlin3_(real *, real *, real *, real *);
integer grdtyp_(char *text, ftnlen text_len);
void grfa_(integer *n, real *px, real *py);
void grqls_(integer *);
void grsls_(integer *);
void grqlw_(integer *);
void grslw_(integer *);
void grlin0_(real *x, real *y);
void grfao_(char *format, integer *l, char *str, integer *v1, 
	integer *v2, integer *v3, integer *v4, ftnlen format_len, ftnlen 
	str_len);
integer gritoc_(integer *, char *, ftnlen);
void grgray_(real *a, integer *idim, integer *jdim, integer *
	i1, integer *i2, integer *j1, integer *j2, real *fg, real *bg, real *
	pa, integer *minind, integer *maxind, integer *mode);
void grqcr_(integer *, real *, real *, real *);
void grscr_(integer *, real *, real *, real *);
void grimg0_(real *, 
	    integer *, integer *, integer *, integer *, integer *, integer *, 
	    real *, real *, real *, integer *, integer *, integer *);
void grimg1_(real *, integer *, integer *, integer 
	    *, integer *, integer *, integer *, real *, real *, real *, 
	    integer *, integer *, integer *);
void grimg2_(real *, integer *, 
	    integer *, integer *, integer *, integer *, integer *, real *, 
	    real *, real *, integer *, integer *, integer *);
void grimg3_(
	    real *, integer *, integer *, integer *, integer *, integer *, 
	    integer *, real *, real *, real *, integer *);
void grinit_();
void grsy00_();
void grlen_(char *string, real *d__, ftnlen string_len);
void grsyds_(integer *, integer *, char *, integer *, ftnlen);
void grsyxd_(integer *, integer *, logical *);

extern struct {
	int grcide, grgtyp;
	int grstat[8], grpltd[8], grunit[8];
	int grfnln[8], grtype[8], grxmxa[8], grymxa[8];
	float grxmin[8], grymin[8];
	float grxmax[8], grymax[8];
	int grwidt[8], grccol[8], grstyl[8];
	float grxpre[8], grypre[8], grxorg[8], gryorg[8], grxscl[8], gryscl[8];
	float grcscl[8], grcfac[8];
	int grdash[8];
	float grpatn[64], grpoff[8];
	int gripat[8], grcfnt[8], grcmrk[8];
	float grpxpi[8], grpypi[8];
	int gradju[8];
	int grmnci[8], grmxci[8];
} grcm00_;

extern struct {
    char grfile[720], grgcap[88];
} grcm01_;

extern struct {
  int pgid;
	int pgdevs[8], pgadvs[8], pgnx[8], pgny[8], pgnxc[8], pgnyc[8];
	float pgxpin[8], pgypin[8], pgxsp[8], pgysp[8], pgxsz[8], pgysz[8];
	float pgxoff[8], pgyoff[8], pgxvp[8], pgyvp[8], pgxlen[8], pgylen[8], pgxorg[8], pgyorg[8];
	float pgxscl[8], pgyscl[8], pgxblc[8], pgxtrc[8], pgyblc[8], pgytrc[8], trans[6];
	int pgprmp[8], pgclp[8], pgfas[8];
	float pgchsz[8];
	int pgblev[8], pgrows[8];
	int pgahs[8];
	float pgaha[8], pgahv[8];
	int pgtbci[8], pgmnci[8], pgmxci[8];
	int pgcint, pgcmin;
	int pgpfix[8], pgitf[8];
	float pghsa[8], pghss[8], pghsp[8];
} pgplt1_;

extern int PGID;

#define GRCXSZ 7.0
#define GRCYSZ 9.0

#endif /* PGPLOT_H */
